#!/usr/bin/env ruby22
# -*- coding:utf-8 -*-

require 'sqlite3'
require 'cgi'

c = CGI.new(:tag_maker => "html5", :accept_charest => "UTF-8")
db = SQLite3::Database.new("sql/main.sq3")

id = c.cookies["id"][0]
person = id.to_i

data = "select * from test where id = ?"
cook = db.execute(data, person)
upd = "update test set pt = ? where id = ?"
goods = "update goods set g1 = ?, g2 = ?, g3 = ?, g4 = ?, g5 = ?, g6 = ? where id = ?"


name = cook[0][1]
pt = cook[0][7]
lv = cook[0][8]

ticket = "select * from goods where id = ?"
have = db.execute(ticket, person)
g1 = have[0][1]
g2 = have[0][2]
g3 = have[0][3]
g4 = have[0][4]
g5 = have[0][5]
g6 = have[0][6]

srand
x = rand(3)  #0~2の変動

gets = c["sho"]
n1 = "おかし"      #商品それぞれの名前
c1 = 4 + x           #商品それぞれに対して消費するポイント
n2 = "ジュース"
c2 = 10
n3 = "入学権"
c3 = 30000000
n4 = ""
c4 = 2
n5 = ""
c5 = 5
n6 = ""
c6 = 100


h1 = "チケットを発行したよ!<br>205教室のスタッフの人と商品をこうかんしてね!"
if lv < 3
  h1 = "チケット発行できません!"
  kekka = "レベル が たりないよ!"
elsif gets == "s1" && pt >= c1
  g1 += 1
  pt -= c1
  kekka = "#{n1}交換券をゲット!"
elsif gets == "s2" && pt >= c2
  g2 += 1
  pt -= c2
  kekka = "#{n2}交換券をゲット!"
elsif gets == "s3" && pt >= c3
  g3 += 1
  pt -= c3
  kekka = "#{n3}交換券をゲット!"
elsif gets == "s4" && pt >= c4
  g4 += 1
  pt -= c4
  kekka = "#{n4}交換券をゲット!"
elsif gets == "s5" && pt >= c5
  g5 += 1
  pt -= c5
  kekka = "#{n5}をゲット!"
elsif gets == "s6" && pt >= c6
  g6 += 1
  pt -= c6
  kekka = "#{n6}交換券をゲット!"
else
  h1 = "チケット発行できません!!"
  kekka = "ポイントとかたりません!"
end

trade = c["trade"]
if trade == n1 && g1 > 0
  g1 -= 1
  kekka = "#{n1} と交換します!<br>スタッフの人は、スタッフがボタンを押した場合のみ、交換してください!"
  h1 = "#{n1}と交換します!<br>こぼさないで たべてね!"
elsif trade == n2 && g2 > 0
  g2 -= 1
  kekka = "#{n2} と交換します!<br>スタッフの人は、スタッフがボタンを押した場合のみ、年齢を確認してから交換してください!"
  h1 = "#{n2} と交換します!<br>ひやしてから おうち で のんでね!"
elsif trade == n3 && g3 > 0
g3 -= 1
kekka = "#{n3} と交換します!<br>スタッフの人は、スタッフがボタンを押した場合のみ、交換してください!"
  h1 = "#{n3}と交換します!"
elsif trade == n4 && g4 > 0
g4 -= 1
  kekka = "#{n4} と交換します!<br>スタッフの人は、スタッフがボタンを押した場合のみ、交換してください!"
  h1 = "#{n4}と交換します!"
elsif trade == n5 && g5 > 0
g5 -= 1
  kekka = "#{n5}と交換します!<br>スタッフの人は、スタッフがボタンを押した場合のみ、交換してください!"
h1 = "10えんと交換します!"
elsif trade == n6 && g6 > 0
g6 -= 1
  kekka = "#{n6}と交換します!<br>スタッフの人は、スタッフがボタンを押した場合のみ、交換してください!"
h1 = "まぐろと交換します!"
end





db.execute(goods, g1, g2, g3, g4, g5, g6, person)
db.execute(upd, pt, person)


pre = "%"
printf(<<_EOS_, h1, name, pt, kekka, g1, g4)

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
	"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<meta name="viewport"
content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
<meta name="format-detection" content="telephone=no">
<link media="only screen and (max-device-width:480px)"
href="smart.css" type="text/css" rel="stylesheet" />
<link media="screen and (min-device-width:481px)" href="profeel.css"
type="text/css" rel="stylesheet" />

<link rel="shortcut icon" href="./img/tsuya.png"/>
<title>こうかん!</title>
<style type="text/css">
<!--
-->
</style>

</head>

<body>
<header></header>
<h1>ほげほげ!</h1>
<h2>%s</h2>
<p>
%sさん<br>
さかたポイント:%dp<br>
%s
</p>
<table>
<title>もっているチケット</title>
<tr><td>おかし</td><td>:%d</td></tr>
<tr><td>secret</td><td></td></tr>
<tr><td></td><td></td></tr>
</table>
<br><br>
<div class="f1"><a href="prof.rb"><div class="lets"><span>もどる!</span></div></a></div>
<br><br>
<form method="POST" action="gets.rb">
<input type="text" name="trade" placeholder="ここは スタッフ の 人 が つかうよ!">
<input type="submit" value="スタッフ ぼたん"><br>スタッフじゃない人はおさないでね!
</form>

<footer></footer>
</body>
</html>


_EOS_
